Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Halide::Runtime::Internal::Synchronization::signal_parking_control Struct Referencefinal

`#include <synchronization_common.h>`

Inheritance diagram for Halide::Runtime::Internal::Synchronization::signal_parking_control:

## Public Member Functions
ALWAYS_INLINE | signal_parking_control (uintptr_t *cond_state, fast_mutex *mutex)
Public Member Functions inherited from Halide::Runtime::Internal::Synchronization::parking_control
uintptr_t | park (uintptr_t addr)
uintptr_t | unpark_one (uintptr_t addr)
int | unpark_requeue (uintptr_t addr_from, uintptr_t addr_to, uintptr_t unpark_info)

## Public Attributes
uintptr_t *const | cond_state
fast_mutex *const | mutex

## Protected Member Functions
uintptr_t | unpark (int unparked, bool more_waiters) final
Protected Member Functions inherited from Halide::Runtime::Internal::Synchronization::parking_control
virtual bool | validate (validate_action &action)
virtual void | before_sleep ()
virtual void | requeue_callback (const validate_action &action, bool one_to_wake, bool some_requeued)

## Detailed Description

Definition at line 724 of file synchronization_common.h.

## Constructor & Destructor Documentation

## ◆ signal_parking_control()

ALWAYS_INLINE Halide::Runtime::Internal::Synchronization::signal_parking_control::signal_parking_control | ( | uintptr_t * | cond_state,
|  | fast_mutex * | mutex
| ) |  |
| inline

Definition at line 728 of file synchronization_common.h.

## Member Function Documentation

## ◆ unpark()

uintptr_t Halide::Runtime::Internal::Synchronization::signal_parking_control::unpark | ( | int | unparked,
|  | bool | more_waiters
| ) |  |
| inline final protected virtual

Reimplemented from Halide::Runtime::Internal::Synchronization::parking_control.

Definition at line 733 of file synchronization_common.h.

References Halide::cast(), cond_state, and mutex.

## Member Data Documentation

## ◆ cond_state

uintptr_t* const Halide::Runtime::Internal::Synchronization::signal_parking_control::cond_state

Definition at line 725 of file synchronization_common.h.

Referenced by unpark().

## ◆ mutex

fast_mutex* const Halide::Runtime::Internal::Synchronization::signal_parking_control::mutex

Definition at line 726 of file synchronization_common.h.

Referenced by unpark().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h